Bug 725357 - Unit tests inside PEAR packages need to go into /usr/share/php-test, not /usr/share/php/tests
Unit tests inside PEAR packages need to go into /usr/share/php-test, not /usr...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: php-pear (Show other bugs)
15
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Joe Orton
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-07-25 06:00 EDT by Stuart Herbert
Modified: 2013-01-13 07:01 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-07 12:37:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Stuart Herbert 2011-07-25 06:00:33 EDT
Description of problem:

The PHP Community is adopting PSR-0, a standard for autoloading PHP classes from directories such as /usr/share/php. Unfortunately, Ubuntu currently mixes unit test code and code meant for production under /usr/share/php, even though the unit test code isn't PSR-0-compliant.

It would be a great help to the PHP community if Ubuntu changed the 'test_dir' configuration parameter of the PEAR installer to install unit tests into a separate folder hierarchy, such as /usr/share/php-test.

Version-Release number of selected component (if applicable):
Fedora 15

How reproducible:
100%

Steps to Reproduce:
1. Install php-pear package
2. Install any PEAR package that ships unit tests (such as Gradwell/phix)
3. Inspect contents of /usr/share/php/test
  
Actual results:
Unit tests appear in /usr/share/php/test.

Expected results:
Unit tests (which are not PSR0-compliant) should go into their own folder structure (suggest /usr/share/php-test).
Comment 1 Remi Collet 2011-07-25 12:56:02 EDT
Pear install tests on /usr/share/pear/tests by upstream default.

I agree this is a bad location, especially because this is on the php default search path.

We already move doc from /usr/share/pear/doc to /usr/share/doc/pear, but we are without anwser to http://pear.php.net/bugs/bug.php?id=18367

If we want to redirect test_dir, we need such another patch (no option to select its location on install)

Big issue I see, if we change this location : it will requires a mass rebuild.

Do you refer to this proposal ?
http://groups.google.com/group/php-standards/web/psr-0-final-proposal

I don't see any discussion about this on pear-dev@lists.php.net
Comment 2 Remi Collet 2011-07-25 12:57:33 EDT
> It would be a great help to the PHP community if Ubuntu changed the 'test_dir'
We can't talk for ubuntu here.
Only for fedora.
Comment 3 Stuart Herbert 2011-07-25 13:04:35 EDT
@Remi - sorry, that's because I cut n pasted most of the text from a similar bug that I filed with Ubuntu earlier today. My bad.  This bug is definitely about Fedora.

Best regards,
Stu
--
Comment 4 Fedora End Of Life 2012-08-07 12:37:48 EDT
This message is a notice that Fedora 15 is now at end of life. Fedora
has stopped maintaining and issuing updates for Fedora 15. It is
Fedora's policy to close all bug reports from releases that are no
longer maintained. At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that
we were unable to fix it before Fedora 15 reached end of life. If you
would still like to see this bug fixed and are able to reproduce it
against a later version of Fedora, you are encouraged to click on
"Clone This Bug" (top right of this page) and open it against that
version of Fedora.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

The process we are following is described here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.